%define upstream_name	 Catalyst-Plugin-I18N
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	I18N for Catalyst
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%upstream_name/
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 2.99
BuildRequires:	perl(I18N::LangTags::Detect)
BuildRequires:	perl(Locale::Maketext::Lexicon)
BuildRequires:	perl(Locale::Maketext::Simple) >= 0.190.0
BuildRequires:	perl(MRO::Compat)

BuildArch:	noarch


Requires:	perl(Locale::Maketext::Lexicon)

%{?perl_default_filter}

%description
Supports mo/po files and Maketext classes under your applications I18N
namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Catalyst/Plugin/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1023332
- Rebuild for perl 5.22.2

* Sat Jan 30 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 929077
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-6.mga5
+ Revision: 743293
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.0-5.mga5
+ Revision: 732869
- add exclude

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 509796
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 364042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40285
- mageia rebuild
- imported package perl-Catalyst-Plugin-I18N

